notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
libproxy Library that provides automatic proxy configuration management
0.4.17 net on this many watch lists=27 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 0.4.17Version of this port present on the latest quarterly branch.
Maintainer: desktop@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2009-02-27 05:27:13
Last Update: 2021-04-06 14:31:07
Commit Hash: 305f148
People watching this port, also watch:: expat, libXcomposite, libXdamage, glib, libpthread-stubs
Also Listed In: devel
License: LGPL21+
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (14 items)
Collapse this list.
  1. /usr/local/share/licenses/libproxy-0.4.17/catalog.mk
  2. /usr/local/share/licenses/libproxy-0.4.17/LICENSE
  3. /usr/local/share/licenses/libproxy-0.4.17/LGPL21+
  4. bin/proxy
  5. include/proxy.h
  6. lib/libproxy.so
  7. lib/libproxy.so.1
  8. lib/libproxy.so.1.0.0
  9. libdata/pkgconfig/libproxy-1.0.pc
  10. share/cmake/Modules/Findlibproxy.cmake
  11. share/vala/vapi/libproxy-1.0.vapi
  12. @owner
  13. @group
  14. @mode
Collapse this list.
Dependency lines:
  • For RUN/BUILD depends:
    • libproxy>0:net/libproxy
  • For LIB depends:
    • libproxy.so:net/libproxy
To install the port:
cd /usr/ports/net/libproxy/ && make install clean
To add the package, run one of these commands:
  • pkg install net/libproxy
  • pkg install libproxy
PKGNAME: libproxy
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
libproxy
ABIlatestquarterly
FreeBSD:11:aarch640.4.150.4.15
FreeBSD:11:amd640.4.170.4.17
FreeBSD:11:armv60.4.120.4.15
FreeBSD:11:i3860.4.170.4.17
FreeBSD:11:mips--
FreeBSD:11:mips640.4.12-
FreeBSD:12:aarch640.4.150.4.17
FreeBSD:12:amd640.4.170.4.17
FreeBSD:12:armv60.4.150.4.15
FreeBSD:12:armv70.4.150.4.15
FreeBSD:12:i3860.4.170.4.17
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64-0.4.17
FreeBSD:13:aarch640.4.150.4.17
FreeBSD:13:amd640.4.170.4.17
FreeBSD:13:armv60.4.150.4.17
FreeBSD:13:armv70.4.150.4.17
FreeBSD:13:i3860.4.170.4.17
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc640.4.150.4.17
FreeBSD:14:aarch640.4.17-
FreeBSD:14:amd640.4.17-
FreeBSD:14:armv60.4.17-
FreeBSD:14:armv70.4.17-
FreeBSD:14:i3860.4.17-
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc640.4.17-
 

Slave ports:
  1. net/libproxy-gnome3
  2. net/libproxy-kde
  3. net/libproxy-pacrunner
  4. net/libproxy-perl
  5. net/libproxy-python
  6. net/libproxy-webkit3

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. cmake : devel/cmake
  2. ninja : devel/ninja
  3. pkgconf>=1.3.0_1 : devel/pkgconf
This port is required by:
for Libraries
  1. irc/hexchat
  2. multimedia/libquvi09
  3. net/glib-networking
  4. net/libproxy-gnome3
  5. net/libproxy-kde
  6. net/libproxy-pacrunner
  7. net/libproxy-perl
Expand this list (15 items / 8 hidden - sorry, this count includes any deleted ports)
  1. Collapse this list).
  2. net/libproxy-python
  3. net/libproxy-webkit3
  4. security/beid
  5. sysutils/signon-ui
  6. Collapse this list.

Deleted ports which required this port:

Expand this list of 4 deleted ports
  1. net/libproxy-gnome*
  2. net/libproxy-gnome2*
  3. net/libproxy-mozjs*
  4. net/libproxy-webkit*
  5. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://codeload.github.com/libproxy/libproxy/tar.gz/0.4.17?dummy=/
Collapse this list.
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2011-08-23
    Affects: users of devel/libnotify and net/libproxy
    Author: gnome@FreeBSD.org
    Reason: 
      libnotify and libproxy are updated with shared library bumps.
      This requires dependancies to be rebuild.
    
      # portmaster -r libnotify-0
      # portmaster -r libproxy-0
      # portmaster -a
    or
      # portupgrade -rf libnotify-0.\* libproxy-0.\*
      # portupgrade -aR
    
    

Number of commits found: 34

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
06 Apr 2021 14:31:07
 files touched by this commit commit hash:305f148f482daf30dcf728039d03d019f88344eb  0.4.17
Mathieu Arnold (mat) search for other commits by this committer
Remove # $FreeBSD$ from Makefiles.
26 Feb 2021 19:27:14
Original commit files touched by this commit Revision:566630  0.4.17
tcberner search for other commits by this committer
net/libproxy: update to 0.4.17

- mark libproxy-mozjs borken
- add new port for pacrunner
- drop support for python2

Changelog:
 - 0.4.16:
    * Port to, and require, SpiderMonkey 68
    * Use closesocket() instead of close() on Windows
    * Add symbol versions - be ready to introduce new APIs as needed
    * Add public px_proxy_factory_free_proxies function
    * Add PacRunner config backend (largely untested; feedback welcome!)
    * Small performance improvements
    * pxgsettings: use the correct syntax to connect to the changed signal
(silences annoying output on console)
    * Support python3 up to version 3.9
    * Fix buffer overflow when PAC is enabled (CVE-2020-26154)
    * Rewrite url::recvline to be nonrecursive (CVE-2020-25219)
    * Remove nonfunctional and crashy pacrunner caching
    * Never use system libmodman (no other consumers, not maintained)
 - 0.4.17:
    * python bindings: fix "TypeError: argtypes must be a sequence of types"
(#125)
30 Sep 2020 14:51:41
Original commit files touched by this commit Revision:550709  0.4.15
bapt search for other commits by this committer
Remove libproxy-gnome2

It is used by no ports and gnome2 is not supported anymore
11 Dec 2019 21:52:21
Original commit files touched by this commit Revision:519845  0.4.15
antoine search for other commits by this committer
Fix build with python 3.7

PR:		233770
15 Nov 2019 20:10:21
Original commit files touched by this commit Revision:517700  0.4.15
tcberner search for other commits by this committer
Create desktop@ as maintainer of some shared desktop ports

This idea has been around for quite some time. Time to make it happen.

In order to share the load on the ports required by multiple desktop
environments start to share the responsibility of maintainership.

This is the initial list that came to mind, but we can probably extend it, to
include another handful of ports.

WWW: https://wiki.freebsd.org/DesktopTeam
Mailing List: https://lists.freebsd.org/mailman/listinfo/freebsd-desktop

Approved by:	swills, kwm (gnome), madpilot (xfce)
Differential Revision:	https://reviews.freebsd.org/D22389
23 May 2019 09:41:16
Original commit files touched by this commit Revision:502332  0.4.15
bapt search for other commits by this committer
Use the most recent spidermonkey in ports

Patch obtained from fedora project

Approved by:	kwm (maintainer)
24 Mar 2019 18:43:27
Original commit files touched by this commit Revision:496768  0.4.15
kwm search for other commits by this committer
Remove expired webkit-gtk2 and webkit-gtk3 ports.

Bump graphics/variety deprecation date, there is a patch for a update which
uses webkit2-gtk3 in ports/236180 but I had issues that I could't fix.
25 Dec 2018 20:25:40
Original commit files touched by this commit Revision:488341  0.4.15
tcberner search for other commits by this committer
Change cmake default behaviour to outsource.

Ports that build out of source now simply can use "USES=cmake"
instead of "USES=cmake:outsource". Ports that fail to build
out of source now need to specify "USES=cmake:insource".

I tried to only set insource where explictely needed.

PR:		232038
Exp-run by:	antoine
22 Jun 2018 19:59:41
Original commit files touched by this commit Revision:473062  0.4.15
tcberner search for other commits by this committer
Update net/libproxy to 0.4.15

* this release switched the build system to cmake
* move libproxy-gnome to libproxy-gnome2 for consistency
* add new slave libproxy-webkit3
* try to simplify the whole thing

* bump revisions in the dependencies

Reviewed by:	gnome (kwm), mat
Differential Revision:	https://reviews.freebsd.org/D15655
06 Jan 2018 14:18:39
Original commit files touched by this commit Revision:458272  0.4.12
jbeich search for other commits by this committer
net/libproxy: unbreak build with Clang 6 (C++14 by default)

libproxy/test/get-pac-test.cpp:48:10: error: assigning to 'int' from
incompatible type '__bind<int &, sockaddr *, unsigned long>'
                        ret = bind(m_sock, (sockaddr*)&addr, sizeof (struct
sockaddr_in));
                             
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Reported by:	antoine (via bug 224669)
29 Dec 2017 18:48:40
Original commit files touched by this commit Revision:457539  0.4.12
sunpoet search for other commits by this committer
Add LICENSE

Approved by:	portmgr (blanket)
19 Jan 2016 10:00:25
Original commit files touched by this commit Revision:406680  0.4.12
rakuco search for other commits by this committer
Update libproxy and its slave ports to 0.4.12.

After being dormant since 2013, libproxy development picked up some steam at
the end of last year, and the project moved from Google Code to GitHub,
where its releases are also being hosted. A summary of changes between 0.4.6
and 0.4.12 can be found here:
    https://github.com/libproxy/libproxy/blob/0.4.12/NEWS

The libproxy ports themselves have undergone several changes too:
* net/libproxy
  - Drop a lot of patches that are no longer necessary.
  - Add a few patches that I have sent upstream, and add some context to the
    0.4.6 patches that are still required.
  - Explicitly disable a few build options (.NET bindings, for example).
  - Switch to an out-of-source CMake build (also applies to the slave
(Only the first 15 lines of the commit message are shown above View all of this commit message)
19 Jan 2016 09:50:10
Original commit files touched by this commit Revision:406678  0.4.6_1
rakuco search for other commits by this committer
Modernize net/libproxy-python and fix dependencies.

In preparation for updating the libproxy ports to 0.4.12, first land some
changes that also apply to 0.4.6 and can be MFH'ed.

- Make net/libproxy a run-time dependency: we only install .py files in this
  port, and they only load libproxy.so when being run. Consequently, also set
  NO_ARCH=yes.
- Set NO_BUILD=yes and modernize the installation. Instead of having an empty
  do-build target and invoking Python's compileall.py in post-build, do it like
  most other ports and call it in post-install (this requires guarding the
  post-install target in net/libproxy's Makefile).
  We also pass -d to compileall.py to avoid having ${STAGEDIR} in the .pyc and
  .pyo files (and shown in exception tracebacks).
- Let the port handle installation instead of defining do-install. We just need
  to set INSTALL_WRKSRC appropriately to avoid installing more files than we
  want.

Approved by:	gnome (kwm)
17 Jan 2016 12:55:14
Original commit files touched by this commit Revision:406314  0.4.6_1
rakuco search for other commits by this committer
Add upstream patch to fix CVE-2012-4504.

Approved by:	gnome (kwm)
Security:	3b5c2362-bd07-11e5-b7ef-5453ed2e2b49
Security:	CVE-2012-4504
17 Jan 2016 10:25:58
Original commit files touched by this commit Revision:406296  0.4.6 This port version is marked as vulnerable.
rakuco search for other commits by this committer
Point to libproxy's current website in WWW.

Approved by:	gnome (kwm)
08 Aug 2015 13:56:33
Original commit files touched by this commit Revision:393729  0.4.6 This port version is marked as vulnerable.
kwm search for other commits by this committer
* Add PORTSCOUT macros to only show stable gnome versions.
* Fix the PORTSCOUT macro in devel/glib20-reference/bsd.gnome-reference.mk
  so that all -reference ports get ignored.
* Add some PORTSCOUT=ignore:1 here and there for software that won't get
  any updates anymore. Or are slave ports, so only the master port will
  get checked.
17 May 2015 08:09:46
Original commit files touched by this commit Revision:386587  0.4.6 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
- Add CPE info

Approved by:	portmgr blanket
14 May 2015 10:15:09
Original commit files touched by this commit Revision:386312  0.4.6 This port version is marked as vulnerable.
mat search for other commits by this committer
MASTER_SITES cleanup.

- Replace ${MASTER_SITE_FOO} with FOO.
- Merge MASTER_SITE_SUBDIR into MASTER_SITES when possible. (This means 99.9%
  of the time.)
- Remove occurrences of MASTER_SITE_LOCAL when no subdirectory was present and
  no hint of what it should be was present.
- Fix some logic.
- And generally, make things more simple and easy to understand.

While there, add magic values to the FESTIVAL, GENTOO, GIMP, GNUPG, QT and
SAMBA macros.

Also, replace some EXTRACT_SUFX occurences with USES=tar:*.

Checked by:	make fetch-urlall-list
With hat:	portmgr
Sponsored by:	Absolight
04 Dec 2014 15:45:07
Original commit files touched by this commit Revision:373961  0.4.6 This port version is marked as vulnerable.
mat search for other commits by this committer
Fix linking with libperl.so.xx.y.

With hat:	perl@
Sponsored by:	Absolight
31 Oct 2014 16:03:10
Original commit files touched by this commit Revision:371870  0.4.6 This port version is marked as vulnerable.
bapt search for other commits by this committer
Simplify plist
21 Feb 2014 01:59:01
Original commit files touched by this commit Revision:345303  0.4.6 This port version is marked as vulnerable.
miwi search for other commits by this committer
- Stage support
02 Nov 2013 09:38:22
Original commit files touched by this commit Revision:332462  0.4.6 This port version is marked as vulnerable.
marino search for other commits by this committer
net/libproxy: Add <unistd.h> for modern compilers

Approved by:	portmgr (bapt, implicit)
20 Sep 2013 22:10:25
Original commit files touched by this commit Revision:327755  0.4.6 This port version is marked as vulnerable.
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
net)
06 Sep 2013 07:24:27
Original commit files touched by this commit Revision:326472  0.4.6 This port version is marked as vulnerable.
az search for other commits by this committer
- Allow respect USES from slave-ports (libproxy-perl now using USES)
22 Mar 2013 20:06:15
Original commit files touched by this commit Revision:314960  0.4.6 This port version is marked as vulnerable.
makc search for other commits by this committer
- convert USE_CMAKE to USES
- while here clean up some ports from CMAKE_VERBOSE, which is intended
  for users

Approved by:	portmgr (miwi)
01 Feb 2013 15:04:01
Original commit files touched by this commit Revision:311381  0.4.6 This port version is marked as vulnerable.
ak search for other commits by this committer
- Fix all cases of 'No newline at end of file' in ports tree

Approved by: portmgr (bapt)
13 Jul 2012 11:38:19
Original commit files touched by this commit   0.4.6 This port version is marked as vulnerable.
kwm search for other commits by this committer
Fix build with gcc 4.7+ / libc++

PR:             ports/169682
Submitted by:   Jan Beich <jbeich@tormail.org>
23 Aug 2011 18:29:54
Original commit files touched by this commit   0.4.6 This port version is marked as vulnerable.
kwm search for other commits by this committer
Update to 0.4.6.
20 Mar 2011 12:54:45
Original commit files touched by this commit   0.2.3_1
miwi search for other commits by this committer
- Get Rid MD5 support
28 Feb 2011 14:29:25
Original commit files touched by this commit   0.2.3_1
kwm search for other commits by this committer
Override a configure test, so the correct behaviour is done when build with
clang.
29 Jul 2010 20:30:13
Original commit files touched by this commit   0.2.3_1
kwm search for other commits by this committer
This port needs python 2.5 or higher.

PR:             ports/149080
Submitted by:   glarkin@
16 May 2010 21:00:04
Original commit files touched by this commit   0.2.3_1
marcus search for other commits by this committer
Install compiled versions of the Python module.

Requested by:   nork
23 Jan 2010 19:45:54
Original commit files touched by this commit   0.2.3
marcus search for other commits by this committer
Remove the CONFLICTS between libproxy and libmonetra.

PR:             143039
Submitted by:   Mark Schleifer <freebsd@schleifer.org>
27 Feb 2009 05:26:27
Original commit files touched by this commit   0.2.3
marcus search for other commits by this committer
Add libproxy, a library that provides automatic proxy configuration management.
Plug-ins are available for GNOME, KDE, Mozilla, and WebKit.

WWW: http://code.google.com/p/libproxy/

Number of commits found: 34